Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jun 2021 02:20:14 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi
I placed an order almost 2 months ago 
Order # 7463152548

And I did a returned request and no body comes yet 
Although I sent 2 emails and I talk to your agent  several time to place a complaint , 

And still there is no update or any action from your side 
I am really disappointed from the way I have been treated as a customer 

I am waiting to be refunded so I can do the order again, 
But because of this delay some of the items are out of stock  now https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2765308